package model;

import javafx.beans.property.Property;
import javafx.beans.property.StringProperty;

public abstract class Capteur {
    protected StringProperty id;
    public String getId() {
        return id.get();
    }
    public StringProperty idProperty(){
        return id;
    }
    public void setId(String i){
        this.id.set(i);
    }

    protected StringProperty nom;
    public String getNom() {
        return nom.get();
    }
    public StringProperty nomProperty(){
        return nom;
    }
    public void setNom(String n){
        this.nom.set(n);
    }
    protected StringProperty valeur;
    public int getValeur(){
        return Integer.parseInt(valeur.get());
    }
    public StringProperty valeurProperty() {
        return valeur;
    }
    public void setValeur(int v) {
        this.valeur.set(Integer.toString(v));
    }
    protected Property<Integer> tpsGen;
    public int getTpsGen(){
        return tpsGen.getValue();
    }
    public Property<Integer> tpsGenProperty() {
        return tpsGen;
    }
    public void setTpsGen(int t) {
        this.tpsGen.setValue(t);
    }




    abstract void start();
    abstract void stop();
}
